Skip to main content
POST
Schedule an appointment

Authorizations

Authorization
string
header
required

An API key (annie-sk-v2-...) or an OAuth access token, sent as Authorization: Bearer <token>.

Path Parameters

botId
string<uuid>
required

The ID of the bot

Body

Payload required to schedule an appointment. startTime and endTime may be copied directly from a returned availability slot.

appointmentTypeId
string
required

Opaque appointment type ID returned by the appointment-types endpoint

startTime
string
required

Whole-second UTC ISO 8601 timestamp ending in Z

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}Z$
Example:

"2026-06-15T20:00:00Z"

endTime
string
required

Whole-second UTC ISO 8601 timestamp ending in Z

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}Z$
Example:

"2026-06-15T20:00:00Z"

patientInfo
object
required

Patient information required to schedule an appointment

Response

Response returned after scheduling an appointment

success
enum<boolean>
required
Available options:
true
data
object
required

Data returned after scheduling an appointment